Debian Bug report logs - #473829
aptitude: recommends packages not in main

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Amaya <amaya@debian.org>

Date: Tue, 1 Apr 2008 21:33:02 UTC

Severity: important

Tags: patch

Found in version aptitude/0.4.11.1-1

Fixed in version aptitude/0.4.11.4-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#473829; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: submit@bugs.debian.org
Subject: aptitude: recommends packages not in main
Date: Tue, 1 Apr 2008 23:32:49 +0200
[Message part 1 (text/plain, inline)]
Package: aptitude
Version: 0.4.11.1-1
Severity: important
User: debian-release@lists.debian.org
Usertags: goal-recommends
Tags: patch

Hi,

I intend to *lovingly* NMU aptitude, as part of my effort to 
accomplish the following Release Goal for Lenny:

  # No unmet recommends relations inside main
  Advocate: Luk Claes
  Description: Packages in main should be able to satisfy all recommend
               relations in main.
  Bug-User: debian-release@lists.debian.org
  Bug-Tag: goal-recommends

aptitude recommends libcwidget1-dbg, but it should recommend libcwidget3-dbg
instead, as libcwidget1-dbg is no longer available in unstable.

Even though 0-day NMUs are allowed, I will wait for two weeks for your answer
to this, and then upload upload to DELAYED/7 in order to give you plenty of
time for reaction.

You will find that my changes are minimal and address only this issue, unless
other release goal can be dealt with in the same upload.

Attached is the diff for my aptitude 0.4.11.1-1.1 NMU.

Thanks for your contribution to debian, and... Happy hacking!


-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux
[aptitude-0.4.11.1-1.1-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#473829; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #10 received at 473829@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Mark Brown <broonie@debian.org>
Cc: 473832@bugs.debian.org, 473839@bugs.debian.org, 473836@bugs.debian.org, 473835@bugs.debian.org, 473844@bugs.debian.org, 473842@bugs.debian.org, 473834@bugs.debian.org, 473833@bugs.debian.org, 473829@bugs.debian.org, 473831@bugs.debian.org
Subject: Re: Bug#473832: clc-intercal: recommends packages not in main
Date: Wed, 2 Apr 2008 01:37:35 +0200
Hey Mark!

First of all, thanks for your fast upload. You too, Mr Marillat!

Mark Brown wrote:
>  - File the actual bug, not your intention to NMU (ie, include the bug
>    report in the body of the bug rather than burying it in the patch).

Yes you are very right. I will change my wording.

>  - Provide some way for people to get information about this like
>    putting a list of affected packages on a web page and announcing it.
>    This would help avoid the need for an NMU campaign in the first
>    place.

That is work in progress. I am working on a wiki page, it will be ready
tomorrow. So far, I can only point you to:
    http://release.debian.org/lenny/goals.txt
    http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=debian-release@lists.debian.org&tag=goal-recommends
    http://qa.debian.org/debcheck.php?dist=sid&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    http://lists.debian.org/debian-qa/2008/04/msg00007.html (and
    answers).

The wiki page will group all this already available information so that
this is easier to track for everyone.

This is not an NMU campaign. I will definitely change the wording.
My original intention was to submit bug+patch, as agreed with Luk:
    <luk> amaya:
    http://qa.debian.org/debcheck.php?dist=sid&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    (the ones in unstable) and
    http://qa.debian.org/debcheck.php?dist=lenny&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    (the ones in testing)
    <amaya> luk: so what to do about these? should I file bugs?
    <luk> yes, file with the appropriate version if not already
    reported at least for the sid ones, identifying the lenny ones that
    are fixed in sid for extra bonus points :-)
    <amaya> luk: i see a lot of those will be fixed when my nmus leave
    the delayed queue
    <luk> great
    <amaya> luk: I will take a look and file appropriate bugs with
    patches, and nmu threats ;)
    <luk> even better!

I think we were both joking about nmus there. Sorry about the tone of my
bug report. I am Cc:ing the rest of maintainers that got this tasteless
report, so that they also forgive me.

> My first reponse to this was "WTF?  I only uploaded this yesterday and
> there weren't any bugs.", especially given that the report jumped right
> to "I'm about to NMU", skipping over what the actual problem was.

Well, no. I clearly said I would wait for two weeks for your response.
And *then* 7 more days in DELAYED. Mainly because some recommends have
become obsolete and I am not sure about the right replacements. I am
seeking actual advice, input, wisdom, from maintainers here :)

But you are right. I am sorry it came accross this way.

Thanks for your help! 

-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#473829; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 473829@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Amaya <amaya@debian.org>, 473829@bugs.debian.org
Subject: Re: Bug#473829: aptitude: recommends packages not in main
Date: Tue, 3 Jun 2008 07:51:49 -0700
  I've committed the obvious patch for this bug to the Mercurial
repository for the Debian packaging.

    Thanks,
  Daniel




Tags added: pending Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Wed, 04 Jun 2008 08:39:02 GMT) Full text and rfc822 format available.

Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Amaya <amaya@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 473829-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 473829-close@bugs.debian.org
Subject: Bug#473829: fixed in aptitude 0.4.11.4-1
Date: Sun, 08 Jun 2008 01:32:04 +0000
Source: aptitude
Source-Version: 0.4.11.4-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.4.11.4-1_i386.deb
  to pool/main/a/aptitude/aptitude-dbg_0.4.11.4-1_i386.deb
aptitude-doc-cs_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.11.4-1_all.deb
aptitude-doc-en_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.11.4-1_all.deb
aptitude-doc-fi_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.11.4-1_all.deb
aptitude-doc-fr_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.11.4-1_all.deb
aptitude-doc-ja_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-ja_0.4.11.4-1_all.deb
aptitude_0.4.11.4-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.11.4-1.diff.gz
aptitude_0.4.11.4-1.dsc
  to pool/main/a/aptitude/aptitude_0.4.11.4-1.dsc
aptitude_0.4.11.4-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.11.4-1_i386.deb
aptitude_0.4.11.4.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.4.11.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 473829@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 07 Jun 2008 17:05:21 -0700
Source: aptitude
Binary: aptitude aptitude-dbg aptitude-doc-cs aptitude-doc-en aptitude-doc-fi aptitude-doc-fr aptitude-doc-ja
Architecture: source all i386
Version: 0.4.11.4-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based package manager
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
Closes: 136874 473580 473829 483620 483920 483943
Changes: 
 aptitude (0.4.11.4-1) unstable; urgency=low
 .
   * New upstream release.
 .
     - Fixed a nasty resolver bug that would cause solutions to be chosen
       poorly in some cases involving self-conflicts. (Closes: #483920)
 .
     - "aptitude search" now takes a command-line argument
       "--disable-columns" that prevents aptitude from padding or
       truncating strings to line text up into columns.  This makes
       the output much more script-friendly.  (Closes: #136874)
 .
     - Fixed the formatting of literal elements in the manpage.
       (Closes: #473580)
 .
     - Defaults files for locales that contain an underscore (such as pt_BR
       or zh_CN) should get installed now. (Closes: #483620)
 .
     - Translation update for Russian. (Closes: #483943)
 .
   * aptitude-dbg recommends libcwidget3-dbg now, not libcwidget1-dbg.
     (Closes: #473829)
 .
   * Bring the Standards-Version up-to-date.  No other changes were needed;
     the only change to Policy lately that affects aptitude was the
     restructuring of the menu hierarchy, and aptitude is already
     up-to-date with that.
 .
   * Bring README.Debian up-to-date regarding the location of the upstream
     and Debian repositories.
Checksums-Sha1: 
 4ef9235ac164d7a7b0085128182359d3ad02b294 1382 aptitude_0.4.11.4-1.dsc
 4b1a407f1541882f8590787c425c3d7d7762ff7f 5713470 aptitude_0.4.11.4.orig.tar.gz
 91ba9e7d6537bc62bcaac9a097aff86b7c064fea 34871 aptitude_0.4.11.4-1.diff.gz
 0ccf6e47038433a9917e41169a343297d3bde4b7 345082 aptitude-doc-cs_0.4.11.4-1_all.deb
 b84976f5c03272cc0ec098efb8807a22626f5a7e 353208 aptitude-doc-en_0.4.11.4-1_all.deb
 bc8ebc7e890ba9a1ebea58c685f4344724ded5f4 263570 aptitude-doc-fi_0.4.11.4-1_all.deb
 20156c7604775bac3bfbd490cebeac517d32d8f7 297996 aptitude-doc-fr_0.4.11.4-1_all.deb
 af3b6c89446a7d82f78bc4634b04c4d9f27b4f1f 363622 aptitude-doc-ja_0.4.11.4-1_all.deb
 0e1ce88d03d224f76d0af5748661a92e7c19e265 2771074 aptitude_0.4.11.4-1_i386.deb
 6032927d0102adf46970e3c01defc7974a183c77 5905982 aptitude-dbg_0.4.11.4-1_i386.deb
Checksums-Sha256: 
 a54ed4c3424263338976beec1f4fb4506e889cf7d8a0e6e0159a1a590c57cc5f 1382 aptitude_0.4.11.4-1.dsc
 2a2cd488c2397e6b1fb02e035854addfbe0fec2253726d7f294d1ab2c08d4aeb 5713470 aptitude_0.4.11.4.orig.tar.gz
 6fbbecec0750ff4f3a764f0e0855b3c6dcf451c9e608694a6fa0d1c576dbeee3 34871 aptitude_0.4.11.4-1.diff.gz
 d483942e6488eec2746cf0f8780ab19e9f2dc70ab5644e12176f1a6a6ce221da 345082 aptitude-doc-cs_0.4.11.4-1_all.deb
 2910704fa5bb510316ec268d0aefaf84868d57c85b339669574f0633a6ff5e7a 353208 aptitude-doc-en_0.4.11.4-1_all.deb
 1ba5f4736f9d2345c50a36c43f9afc42ed9db4736a1d7062d29d9f0cff246167 263570 aptitude-doc-fi_0.4.11.4-1_all.deb
 264969bb307bbd77d6be1e8776ee606a4e459247ecccbbafb7f7844ab9c161bc 297996 aptitude-doc-fr_0.4.11.4-1_all.deb
 654b963ad6f6ed67cd73bbd04bbabfb182544c72e568368823f0d3d7eed12902 363622 aptitude-doc-ja_0.4.11.4-1_all.deb
 15534535b87a555cd2f6219408c76d4cabf86071719f3503a89e66ac40263486 2771074 aptitude_0.4.11.4-1_i386.deb
 a475875c6b93b9a180e5ef7229cd8e2423f9d5266fec8309cb5f8711b002cd99 5905982 aptitude-dbg_0.4.11.4-1_i386.deb
Files: 
 3e5f49cf581b06b0d1153b77405ae9af 1382 admin - aptitude_0.4.11.4-1.dsc
 85ed892ac7f8fa8784e873a1f691c322 5713470 admin - aptitude_0.4.11.4.orig.tar.gz
 69b22d0a110e430fd60c24114078c248 34871 admin - aptitude_0.4.11.4-1.diff.gz
 db45dcae83cbba11434a0a00d59a8cfe 345082 doc optional aptitude-doc-cs_0.4.11.4-1_all.deb
 8ad7bc4cd80d0a45826dc1c038cebe92 353208 doc optional aptitude-doc-en_0.4.11.4-1_all.deb
 13cceb5a5d2b883378bcc63c44110b91 263570 doc optional aptitude-doc-fi_0.4.11.4-1_all.deb
 c60ad2a243e00d8151249071b7873b63 297996 doc optional aptitude-doc-fr_0.4.11.4-1_all.deb
 55ce7fc800c89d1c5dacba741e56bff9 363622 doc optional aptitude-doc-ja_0.4.11.4-1_all.deb
 a3c693b9129c2276804642453f190257 2771074 admin important aptitude_0.4.11.4-1_i386.deb
 1892777129b6dc5b9c2e319581e71fbf 5905982 devel extra aptitude-dbg_0.4.11.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFISzQZch6xsM7kSXgRAoPwAJ4vMeFXxYO/BRXuiJ9AbH4H/4Sv9QCg2K8I
iVxebK6KRHSkWXiGBvlW/pA=
=fJEy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 17 Jul 2008 07:29:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:20:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.